version: 0.1
log:
  accesslog:
    disabled: true
  level: info
  hooks:
    - type: mail
      disabled: false
      levels:
        - panic
      options:
        smtp:
          addr: smtp.hatthieves.es:25
          insecure: false
        from: docker@hatthieves.es
        to:
          - webmaster@hatthieves.es

#auth:
#  silly:
#    realm: silly-realm
#    service: nginx
auth:
  htpasswd:
    realm: basic-realm
    path: /etc/docker/htpasswd

storage:
  filesystem:
    rootdirectory: /var/lib/registry
  delete:
    enabled: false
  redirect:
    disable: false

#middleware:
#  storage:
#    - name: redirect
#      options:
#        baseurl: https://registry.hatthieves.es/

http:
  addr: 172.110.0.101:5000
  host: https://registry.hatthieves.es
#  tls:
#    certificate: /etc/docker/ssl/fullchain.pem
#    key: /etc/docker/ssl/privkey.pem
  relativeurls: true
  secret: nopass
  headers:
    X-Content-Type-Options: [nosniff]
  http2:
    disabled: false
